select if(q2.dm=1,'DM','HT')as 'ผู้ป่วย',count(q2.HN)as 'ผู้ป่วยรักษาที่รพ.สต.'
,count(case when q2.CVD_DM=1 then q2.HN when q2.CVD_HT=1 then q2.HN else null end)as '<10%'
,count(case when q2.CVD_DM=2 then q2.HN when q2.CVD_HT=2 then q2.HN else null end)as '10-19%'
,count(case when q2.CVD_DM=3 then q2.HN when q2.CVD_HT=3 then q2.HN else null end)as '20-29%'
,count(case when q2.CVD_DM=4 then q2.HN when q2.CVD_HT=4 then q2.HN else null end)as '30-39%'
,count(case when q2.CVD_DM=5 then q2.HN when q2.CVD_HT=5 then q2.HN else null end)as '>=40%' 
,count(case when q2.CVD_DM= null then q2.HN when q2.CVD_HT=null then q2.HN else null end)as 'N/A'from(
SELECT q1.HN,q1.name as 'name',q1.Age,q1.moo,q1.Disease,q1.cup,q1.dm
,case when q1.ciga=0 then 'ไม่สูบ' when q1.ciga=1 then 'สูบนานๆ ครั้งๆ' when q1.ciga=2 then 'สูบประจำ' when q1.ciga=3 then 'เคยสูบฯ แต่เลิกแล้ว' else 'N/A' end as 'การสูบบุหรี่'
,q1.visitdate,q1.SBP,q1.CH07 as 'Cholesterol'
-- ป่วยDM เพศชาย ไม่สูบฯ
,case when q1.dm=1 and q1.sex=1 and q1.ciga in (0,3) and q1.Age <50 and q1.SBP <140 and q1.CH07 is not null then 1
when q1.dm=1 and q1.sex=1 and q1.ciga in (0,3) and q1.Age <50 and q1.SBP between 140 and 159 and q1.CH07 <320 then 1 
when q1.dm=1 and q1.sex=1 and q1.ciga in (0,3) and q1.Age <50 and q1.SBP between 140 and 159 and q1.CH07 >=320 then 3
when q1.dm=1 and q1.sex=1 and q1.ciga in (0,3) and q1.Age <50 and q1.SBP between 160 and 179 and q1.CH07 <240 then 1
when q1.dm=1 and q1.sex=1 and q1.ciga in (0,3) and q1.Age <50 and q1.SBP between 160 and 179 and q1.CH07 between 240 and 279 then 2
when q1.dm=1 and q1.sex=1 and q1.ciga in (0,3) and q1.Age <50 and q1.SBP between 160 and 179 and q1.CH07 between 280 and 319 then 3
when q1.dm=1 and q1.sex=1 and q1.ciga in (0,3) and q1.Age <50 and q1.SBP between 160 and 179 and q1.CH07 >=320 then 5
when q1.dm=1 and q1.sex=1 and q1.ciga in (0,3) and q1.Age <50 and q1.SBP >=180 and q1.CH07 <200 then 3
when q1.dm=1 and q1.sex=1 and q1.ciga in (0,3) and q1.Age <50 and q1.SBP >=180 and q1.CH07 between 200 and 239 then 4
when q1.dm=1 and q1.sex=1 and q1.ciga in (0,3) and q1.Age <50 and q1.SBP >=180 and q1.CH07 >=240 then 5
--
when q1.dm=1 and q1.sex=1 and q1.ciga in (0,3) and q1.Age between 50 and 59 and q1.SBP <140 and q1.CH07 <320 then 1
when q1.dm=1 and q1.sex=1 and q1.ciga in (0,3) and q1.Age between 50 and 59 and q1.SBP <140 and q1.CH07 >=320 then 2
when q1.dm=1 and q1.sex=1 and q1.ciga in (0,3) and q1.Age between 50 and 59 and q1.SBP between 140 and 159 and q1.CH07 <280 then 1
when q1.dm=1 and q1.sex=1 and q1.ciga in (0,3) and q1.Age between 50 and 59 and q1.SBP between 140 and 159 and q1.CH07 between 280 and 319 then 2
when q1.dm=1 and q1.sex=1 and q1.ciga in (0,3) and q1.Age between 50 and 59 and q1.SBP between 140 and 159 and q1.CH07 >=320 then 3
when q1.dm=1 and q1.sex=1 and q1.ciga in (0,3) and q1.Age between 50 and 59 and q1.SBP between 160 and 179 and q1.CH07 <200 then 1
when q1.dm=1 and q1.sex=1 and q1.ciga in (0,3) and q1.Age between 50 and 59 and q1.SBP between 160 and 179 and q1.CH07 between 200 and 279 then 2
when q1.dm=1 and q1.sex=1 and q1.ciga in (0,3) and q1.Age between 50 and 59 and q1.SBP between 160 and 179 and q1.CH07 between 280 and 319 then 3
when q1.dm=1 and q1.sex=1 and q1.ciga in (0,3) and q1.Age between 50 and 59 and q1.SBP between 160 and 179 and q1.CH07 >=320 then 5
when q1.dm=1 and q1.sex=1 and q1.ciga in (0,3) and q1.Age between 50 and 59 and q1.SBP >=180 and q1.CH07 <200 then 3
when q1.dm=1 and q1.sex=1 and q1.ciga in (0,3) and q1.Age between 50 and 59 and q1.SBP >=180 and q1.CH07 between 200 and 239 then 4
when q1.dm=1 and q1.sex=1 and q1.ciga in (0,3) and q1.Age between 50 and 59 and q1.SBP >=180 and q1.CH07 >=240 then 5
--
when q1.dm=1 and q1.sex=1 and q1.ciga in (0,3) and q1.Age between 60 and 69 and q1.SBP <140 and q1.CH07 <280 then 1
when q1.dm=1 and q1.sex=1 and q1.ciga in (0,3) and q1.Age between 60 and 69 and q1.SBP <140 and q1.CH07 >=280 then 2
when q1.dm=1 and q1.sex=1 and q1.ciga in (0,3) and q1.Age between 60 and 69 and q1.SBP between 140 and 159 and q1.CH07 <200 then 1
when q1.dm=1 and q1.sex=1 and q1.ciga in (0,3) and q1.Age between 60 and 69 and q1.SBP between 140 and 159 and q1.CH07 between 200 and 319 then 2
when q1.dm=1 and q1.sex=1 and q1.ciga in (0,3) and q1.Age between 60 and 69 and q1.SBP between 140 and 159 and q1.CH07 >=320 then 3
when q1.dm=1 and q1.sex=1 and q1.ciga in (0,3) and q1.Age between 60 and 69 and q1.SBP between 160 and 179 and q1.CH07 <200 then 2
when q1.dm=1 and q1.sex=1 and q1.ciga in (0,3) and q1.Age between 60 and 69 and q1.SBP between 160 and 179 and q1.CH07 between 200 and 279 then 3
when q1.dm=1 and q1.sex=1 and q1.ciga in (0,3) and q1.Age between 60 and 69 and q1.SBP between 160 and 179 and q1.CH07 between 280 and 319 then 4
when q1.dm=1 and q1.sex=1 and q1.ciga in (0,3) and q1.Age between 60 and 69 and q1.SBP between 160 and 179 and q1.CH07 >=320 then 5
when q1.dm=1 and q1.sex=1 and q1.ciga in (0,3) and q1.Age between 60 and 69 and q1.SBP >=180 and q1.CH07 <200 then 4
when q1.dm=1 and q1.sex=1 and q1.ciga in (0,3) and q1.Age between 60 and 69 and q1.SBP >=180 and q1.CH07 >=200 then 5
--
when q1.dm=1 and q1.sex=1 and q1.ciga in (0,3) and q1.Age >=70 and q1.SBP <140 and q1.CH07 <200 then 1
when q1.dm=1 and q1.sex=1 and q1.ciga in (0,3) and q1.Age >=70 and q1.SBP <140 and q1.CH07 between 200 and 319 then 2
when q1.dm=1 and q1.sex=1 and q1.ciga in (0,3) and q1.Age >=70 and q1.SBP <140 and q1.CH07 >=320 then 3
when q1.dm=1 and q1.sex=1 and q1.ciga in (0,3) and q1.Age >=70 and q1.SBP between 140 and 159 and q1.CH07 <240 then 2
when q1.dm=1 and q1.sex=1 and q1.ciga in (0,3) and q1.Age >=70 and q1.SBP between 140 and 159 and q1.CH07 between 240 and 319 then 3
when q1.dm=1 and q1.sex=1 and q1.ciga in (0,3) and q1.Age >=70 and q1.SBP between 140 and 159 and q1.CH07 >=320 then 4
when q1.dm=1 and q1.sex=1 and q1.ciga in (0,3) and q1.Age >=70 and q1.SBP between 160 and 179 and q1.CH07 <240 then 3
when q1.dm=1 and q1.sex=1 and q1.ciga in (0,3) and q1.Age >=70 and q1.SBP between 160 and 179 and q1.CH07 between 240 and 319 then 4
when q1.dm=1 and q1.sex=1 and q1.ciga in (0,3) and q1.Age >=70 and q1.SBP between 160 and 179 and q1.CH07 >=320 then 5
when q1.dm=1 and q1.sex=1 and q1.ciga in (0,3) and q1.Age >=70 and q1.SBP >=180 and q1.CH07 is not null then 5 
-- ป่วยDM เพศชาย สูบฯ
when q1.dm=1 and q1.sex=1 and q1.ciga in (1,2) and q1.Age <50 and q1.SBP <140 and q1.CH07 <320 then 1
when q1.dm=1 and q1.sex=1 and q1.ciga in (1,2) and q1.Age <50 and q1.SBP <140 and q1.CH07 >=320 then 3
when q1.dm=1 and q1.sex=1 and q1.ciga in (1,2) and q1.Age <50 and q1.SBP between 140 and 159 and q1.CH07 <280 then 1
when q1.dm=1 and q1.sex=1 and q1.ciga in (1,2) and q1.Age <50 and q1.SBP between 140 and 159 and q1.CH07 between 280 and 319 then 2
when q1.dm=1 and q1.sex=1 and q1.ciga in (1,2) and q1.Age <50 and q1.SBP between 140 and 159 and q1.CH07 >=320 then 5
when q1.dm=1 and q1.sex=1 and q1.ciga in (1,2) and q1.Age <50 and q1.SBP between 160 and 179 and q1.CH07 <240 then 2
when q1.dm=1 and q1.sex=1 and q1.ciga in (1,2) and q1.Age <50 and q1.SBP between 160 and 179 and q1.CH07 between 240 and 279 then 3
when q1.dm=1 and q1.sex=1 and q1.ciga in (1,2) and q1.Age <50 and q1.SBP between 160 and 179 and q1.CH07 >=280 then 5
when q1.dm=1 and q1.sex=1 and q1.ciga in (1,2) and q1.Age <50 and q1.SBP >=180 and q1.CH07 is not null then 5
--
when q1.dm=1 and q1.sex=1 and q1.ciga in (1,2) and q1.Age between 50 and 59 and q1.SBP <140 and q1.CH07 <280 then 1
when q1.dm=1 and q1.sex=1 and q1.ciga in (1,2) and q1.Age between 50 and 59 and q1.SBP <140 and q1.CH07 between 280 and 319 then 2
when q1.dm=1 and q1.sex=1 and q1.ciga in (1,2) and q1.Age between 50 and 59 and q1.SBP <140 and q1.CH07 >=320 then 3
when q1.dm=1 and q1.sex=1 and q1.ciga in (1,2) and q1.Age between 50 and 59 and q1.SBP between 140 and 159 and q1.CH07 <240 then 1
when q1.dm=1 and q1.sex=1 and q1.ciga in (1,2) and q1.Age between 50 and 59 and q1.SBP between 140 and 159 and q1.CH07 between 240 and 279 then 2
when q1.dm=1 and q1.sex=1 and q1.ciga in (1,2) and q1.Age between 50 and 59 and q1.SBP between 140 and 159 and q1.CH07 between 280 and 319 then 3
when q1.dm=1 and q1.sex=1 and q1.ciga in (1,2) and q1.Age between 50 and 59 and q1.SBP between 140 and 159 and q1.CH07 >=320 then 5
when q1.dm=1 and q1.sex=1 and q1.ciga in (1,2) and q1.Age between 50 and 59 and q1.SBP between 160 and 179 and q1.CH07 <200 then 2
when q1.dm=1 and q1.sex=1 and q1.ciga in (1,2) and q1.Age between 50 and 59 and q1.SBP between 160 and 179 and q1.CH07 between 200 and 239 then 3
when q1.dm=1 and q1.sex=1 and q1.ciga in (1,2) and q1.Age between 50 and 59 and q1.SBP between 160 and 179 and q1.CH07 between 240 and 279 then 4
when q1.dm=1 and q1.sex=1 and q1.ciga in (1,2) and q1.Age between 50 and 59 and q1.SBP between 160 and 179 and q1.CH07 >=280 then 5
when q1.dm=1 and q1.sex=1 and q1.ciga in (1,2) and q1.Age between 50 and 59 and q1.SBP >=180 and q1.CH07 is not null then 5
--
when q1.dm=1 and q1.sex=1 and q1.ciga in (1,2) and q1.Age between 60 and 69 and q1.SBP <140 and q1.CH07 <240 then 1
when q1.dm=1 and q1.sex=1 and q1.ciga in (1,2) and q1.Age between 60 and 69 and q1.SBP <140 and q1.CH07 between 240 and 319 then 2
when q1.dm=1 and q1.sex=1 and q1.ciga in (1,2) and q1.Age between 60 and 69 and q1.SBP <140 and q1.CH07 >=320 then 3
when q1.dm=1 and q1.sex=1 and q1.ciga in (1,2) and q1.Age between 60 and 69 and q1.SBP between 140 and 159 and q1.CH07 <240 then 2
when q1.dm=1 and q1.sex=1 and q1.ciga in (1,2) and q1.Age between 60 and 69 and q1.SBP between 140 and 159 and q1.CH07 between 240 and 279 then 3
when q1.dm=1 and q1.sex=1 and q1.ciga in (1,2) and q1.Age between 60 and 69 and q1.SBP between 140 and 159 and q1.CH07 between 280 and 319 then 4
when q1.dm=1 and q1.sex=1 and q1.ciga in (1,2) and q1.Age between 60 and 69 and q1.SBP between 140 and 159 and q1.CH07 >=320 then 5
when q1.dm=1 and q1.sex=1 and q1.ciga in (1,2) and q1.Age between 60 and 69 and q1.SBP between 160 and 179 and q1.CH07 <200 then 3
when q1.dm=1 and q1.sex=1 and q1.ciga in (1,2) and q1.Age between 60 and 69 and q1.SBP between 160 and 179 and q1.CH07 between 200 and 239 then 4
when q1.dm=1 and q1.sex=1 and q1.ciga in (1,2) and q1.Age between 60 and 69 and q1.SBP between 160 and 179 and q1.CH07 >=240 then 5
when q1.dm=1 and q1.sex=1 and q1.ciga in (1,2) and q1.Age between 60 and 69 and q1.SBP >=180 and q1.CH07 is not null then 5
--
when q1.dm=1 and q1.sex=1 and q1.ciga in (1,2) and q1.Age >=70 and q1.SBP <140 and q1.CH07 <240 then 2
when q1.dm=1 and q1.sex=1 and q1.ciga in (1,2) and q1.Age >=70 and q1.SBP <140 and q1.CH07 between 240 and 319 then 3
when q1.dm=1 and q1.sex=1 and q1.ciga in (1,2) and q1.Age >=70 and q1.SBP <140 and q1.CH07 >=320 then 4
when q1.dm=1 and q1.sex=1 and q1.ciga in (1,2) and q1.Age >=70 and q1.SBP between 140 and 159 and q1.CH07 <240 then 3
when q1.dm=1 and q1.sex=1 and q1.ciga in (1,2) and q1.Age >=70 and q1.SBP between 140 and 159 and q1.CH07 between 240 and 279 then 4
when q1.dm=1 and q1.sex=1 and q1.ciga in (1,2) and q1.Age >=70 and q1.SBP between 140 and 159 and q1.CH07 >=280 then 5
when q1.dm=1 and q1.sex=1 and q1.ciga in (1,2) and q1.Age >=70 and q1.SBP between 160 and 179 and q1.CH07 <200 then 4
when q1.dm=1 and q1.sex=1 and q1.ciga in (1,2) and q1.Age >=70 and q1.SBP between 160 and 179 and q1.CH07 >=200 then 5
when q1.dm=1 and q1.sex=1 and q1.ciga in (1,2) and q1.Age >=70 and q1.SBP >=180 and q1.CH07 is not null then 5
-- ป่วยDM เพศหญิง ไม่สูบฯ
when q1.dm=1 and q1.sex=2 and q1.ciga in (0,3) and q1.Age <50 and q1.SBP <140 and q1.CH07 <320 then 1
when q1.dm=1 and q1.sex=2 and q1.ciga in (0,3) and q1.Age <50 and q1.SBP <140 and q1.CH07 >=320 then 3
when q1.dm=1 and q1.sex=2 and q1.ciga in (0,3) and q1.Age <50 and q1.SBP between 140 and 159 and q1.CH07 <240 then 1
when q1.dm=1 and q1.sex=2 and q1.ciga in (0,3) and q1.Age <50 and q1.SBP between 140 and 159 and q1.CH07 between 240 and 279 then 2
when q1.dm=1 and q1.sex=2 and q1.ciga in (0,3) and q1.Age <50 and q1.SBP between 140 and 159 and q1.CH07 >=280 then 3
when q1.dm=1 and q1.sex=2 and q1.ciga in (0,3) and q1.Age <50 and q1.SBP between 160 and 179 and q1.CH07 <200 then 1
when q1.dm=1 and q1.sex=2 and q1.ciga in (0,3) and q1.Age <50 and q1.SBP between 160 and 179 and q1.CH07 between 200 and 239 then 2
when q1.dm=1 and q1.sex=2 and q1.ciga in (0,3) and q1.Age <50 and q1.SBP between 160 and 179 and q1.CH07 between 240 and 279 then 4
when q1.dm=1 and q1.sex=2 and q1.ciga in (0,3) and q1.Age <50 and q1.SBP between 160 and 179 and q1.CH07 >=289 then 5
when q1.dm=1 and q1.sex=2 and q1.ciga in (0,3) and q1.Age <50 and q1.SBP >=180 and q1.CH07 <200 then 4
when q1.dm=1 and q1.sex=2 and q1.ciga in (0,3) and q1.Age <50 and q1.SBP >=180 and q1.CH07 >=200 then 5
--
when q1.dm=1 and q1.sex=2 and q1.ciga in (0,3) and q1.Age between 50 and 59 and q1.SBP <140 and q1.CH07 <280 then 1
when q1.dm=1 and q1.sex=2 and q1.ciga in (0,3) and q1.Age between 50 and 59 and q1.SBP <140 and q1.CH07 between 280 and 319 then 2
when q1.dm=1 and q1.sex=2 and q1.ciga in (0,3) and q1.Age between 50 and 59 and q1.SBP <140 and q1.CH07 >=320 then 3
when q1.dm=1 and q1.sex=2 and q1.ciga in (0,3) and q1.Age between 50 and 59 and q1.SBP between 140 and 159 and q1.CH07 <240 then 1
when q1.dm=1 and q1.sex=2 and q1.ciga in (0,3) and q1.Age between 50 and 59 and q1.SBP between 140 and 159 and q1.CH07 between 240 and 279 then 2
when q1.dm=1 and q1.sex=2 and q1.ciga in (0,3) and q1.Age between 50 and 59 and q1.SBP between 140 and 159 and q1.CH07 between 280 and 319 then 3
when q1.dm=1 and q1.sex=2 and q1.ciga in (0,3) and q1.Age between 50 and 59 and q1.SBP between 140 and 159 and q1.CH07 >=320 then 4
when q1.dm=1 and q1.sex=2 and q1.ciga in (0,3) and q1.Age between 50 and 59 and q1.SBP between 160 and 179 and q1.CH07 <240 then 2
when q1.dm=1 and q1.sex=2 and q1.ciga in (0,3) and q1.Age between 50 and 59 and q1.SBP between 160 and 179 and q1.CH07 between 240 and 279 then 4
when q1.dm=1 and q1.sex=2 and q1.ciga in (0,3) and q1.Age between 50 and 59 and q1.SBP between 160 and 179 and q1.CH07 >=280 then 5
when q1.dm=1 and q1.sex=2 and q1.ciga in (0,3) and q1.Age between 50 and 59 and q1.SBP >=180 and q1.CH07 <200 then 4
when q1.dm=1 and q1.sex=2 and q1.ciga in (0,3) and q1.Age between 50 and 59 and q1.SBP >=180 and q1.CH07 >=200 then 5
--
when q1.dm=1 and q1.sex=2 and q1.ciga in (0,3) and q1.Age between 60 and 69 and q1.SBP <140 and q1.CH07 <280 then 1
when q1.dm=1 and q1.sex=2 and q1.ciga in (0,3) and q1.Age between 60 and 69 and q1.SBP <140 and q1.CH07 between 280 and 319 then 2
when q1.dm=1 and q1.sex=2 and q1.ciga in (0,3) and q1.Age between 60 and 69 and q1.SBP <140 and q1.CH07 >=320 then 3
when q1.dm=1 and q1.sex=2 and q1.ciga in (0,3) and q1.Age between 60 and 69 and q1.SBP between 140 and 159 and q1.CH07 <200 then 1
when q1.dm=1 and q1.sex=2 and q1.ciga in (0,3) and q1.Age between 60 and 69 and q1.SBP between 140 and 159 and q1.CH07 between 200 and 279 then 2
when q1.dm=1 and q1.sex=2 and q1.ciga in (0,3) and q1.Age between 60 and 69 and q1.SBP between 140 and 159 and q1.CH07 between 280 and 319 then 3
when q1.dm=1 and q1.sex=2 and q1.ciga in (0,3) and q1.Age between 60 and 69 and q1.SBP between 140 and 159 and q1.CH07 >=320 then 4
when q1.dm=1 and q1.sex=2 and q1.ciga in (0,3) and q1.Age between 60 and 69 and q1.SBP between 160 and 179 and q1.CH07 <200 then 2
when q1.dm=1 and q1.sex=2 and q1.ciga in (0,3) and q1.Age between 60 and 69 and q1.SBP between 160 and 179 and q1.CH07 between 200 and 239 then 3
when q1.dm=1 and q1.sex=2 and q1.ciga in (0,3) and q1.Age between 60 and 69 and q1.SBP between 160 and 179 and q1.CH07 between 240 and 279 then 4
when q1.dm=1 and q1.sex=2 and q1.ciga in (0,3) and q1.Age between 60 and 69 and q1.SBP between 160 and 179 and q1.CH07 >=280 then 5
when q1.dm=1 and q1.sex=2 and q1.ciga in (0,3) and q1.Age between 60 and 69 and q1.SBP >=180 and q1.CH07 <200 then 4
when q1.dm=1 and q1.sex=2 and q1.ciga in (0,3) and q1.Age between 60 and 69 and q1.SBP >=180 and q1.CH07 >=200 then 5
--
when q1.dm=1 and q1.sex=2 and q1.ciga in (0,3) and q1.Age >=70 and q1.SBP <140 and q1.CH07 <200 then 1
when q1.dm=1 and q1.sex=2 and q1.ciga in (0,3) and q1.Age >=70 and q1.SBP <140 and q1.CH07 between 200 and 279 then 2
when q1.dm=1 and q1.sex=2 and q1.ciga in (0,3) and q1.Age >=70 and q1.SBP <140 and q1.CH07 >=280 then 3
when q1.dm=1 and q1.sex=2 and q1.ciga in (0,3) and q1.Age >=70 and q1.SBP between 140 and 159 and q1.CH07 <200 then 2
when q1.dm=1 and q1.sex=2 and q1.ciga in (0,3) and q1.Age >=70 and q1.SBP between 140 and 159 and q1.CH07 between 200 and 279 then 3
when q1.dm=1 and q1.sex=2 and q1.ciga in (0,3) and q1.Age >=70 and q1.SBP between 140 and 159 and q1.CH07 between 280 and 319 then 4
when q1.dm=1 and q1.sex=2 and q1.ciga in (0,3) and q1.Age >=70 and q1.SBP between 140 and 159 and q1.CH07 >=320 then 5
when q1.dm=1 and q1.sex=2 and q1.ciga in (0,3) and q1.Age >=70 and q1.SBP between 160 and 179 and q1.CH07 <200 then 3
when q1.dm=1 and q1.sex=2 and q1.ciga in (0,3) and q1.Age >=70 and q1.SBP between 160 and 179 and q1.CH07 between 200 and 279 then 4
when q1.dm=1 and q1.sex=2 and q1.ciga in (0,3) and q1.Age >=70 and q1.SBP between 160 and 179 and q1.CH07 >=280 then 5
when q1.dm=1 and q1.sex=2 and q1.ciga in (0,3) and q1.Age >=70 and q1.SBP >=180 and q1.CH07 is not null then 5
-- ป่วยDM เพศหญิง สูบฯ
	when q1.dm=1 and q1.sex=2 and q1.ciga in (1,2) and q1.Age <50 and q1.SBP <140 and q1.CH07 <280 then 1
	when q1.dm=1 and q1.sex=2 and q1.ciga in (1,2) and q1.Age <50 and q1.SBP <140 and q1.CH07 between 280 and 319 then 2
	when q1.dm=1 and q1.sex=2 and q1.ciga in (1,2) and q1.Age <50 and q1.SBP <140 and q1.CH07 >=320 then 3
	when q1.dm=1 and q1.sex=2 and q1.ciga in (1,2) and q1.Age <50 and q1.SBP between 140 and 159 and q1.CH07 <200 then 1
	when q1.dm=1 and q1.sex=2 and q1.ciga in (1,2) and q1.Age <50 and q1.SBP between 140 and 159 and q1.CH07 between 200 and 279 then 2
	when q1.dm=1 and q1.sex=2 and q1.ciga in (1,2) and q1.Age <50 and q1.SBP between 140 and 159 and q1.CH07 between 280 and 319 then 4
	when q1.dm=1 and q1.sex=2 and q1.ciga in (1,2) and q1.Age <50 and q1.SBP between 140 and 159 and q1.CH07 >=320 then 5
	when q1.dm=1 and q1.sex=2 and q1.ciga in (1,2) and q1.Age <50 and q1.SBP between 160 and 179 and q1.CH07 <200 then 2
	when q1.dm=1 and q1.sex=2 and q1.ciga in (1,2) and q1.Age <50 and q1.SBP between 160 and 179 and q1.CH07 between 200 and 239 then 4
	when q1.dm=1 and q1.sex=2 and q1.ciga in (1,2) and q1.Age <50 and q1.SBP between 160 and 179 and q1.CH07 >=240 then 5
	when q1.dm=1 and q1.sex=2 and q1.ciga in (1,2) and q1.Age <50 and q1.SBP >=180 and q1.CH07 is not null then 5
--
	when q1.dm=1 and q1.sex=2 and q1.ciga in (1,2) and q1.Age between 50 and 59 and q1.SBP <140 and q1.CH07 <240 then 1
	when q1.dm=1 and q1.sex=2 and q1.ciga in (1,2) and q1.Age between 50 and 59 and q1.SBP <140 and q1.CH07 between 240 and 319 then 2
	when q1.dm=1 and q1.sex=2 and q1.ciga in (1,2) and q1.Age between 50 and 59 and q1.SBP <140 and q1.CH07 >=320 then 3
	when q1.dm=1 and q1.sex=2 and q1.ciga in (1,2) and q1.Age between 50 and 59 and q1.SBP between 140 and 159 and q1.CH07 <200 then 1
	when q1.dm=1 and q1.sex=2 and q1.ciga in (1,2) and q1.Age between 50 and 59 and q1.SBP between 140 and 159 and q1.CH07 between 200 and 239 then 2
	when q1.dm=1 and q1.sex=2 and q1.ciga in (1,2) and q1.Age between 50 and 59 and q1.SBP between 140 and 159 and q1.CH07 between 240 and 279 then 3
	when q1.dm=1 and q1.sex=2 and q1.ciga in (1,2) and q1.Age between 50 and 59 and q1.SBP between 140 and 159 and q1.CH07 between 280 and 319 then 4
	when q1.dm=1 and q1.sex=2 and q1.ciga in (1,2) and q1.Age between 50 and 59 and q1.SBP between 140 and 159 and q1.CH07 >=320 then 5
	when q1.dm=1 and q1.sex=2 and q1.ciga in (1,2) and q1.Age between 50 and 59 and q1.SBP between 160 and 179 and q1.CH07 <200 then 3
	when q1.dm=1 and q1.sex=2 and q1.ciga in (1,2) and q1.Age between 50 and 59 and q1.SBP between 160 and 179 and q1.CH07 between 200 and 239 then 4
	when q1.dm=1 and q1.sex=2 and q1.ciga in (1,2) and q1.Age between 50 and 59 and q1.SBP between 160 and 179 and q1.CH07 >=240 then 5
	when q1.dm=1 and q1.sex=2 and q1.ciga in (1,2) and q1.Age between 50 and 59 and q1.SBP >=180 and q1.CH07 is not null then 5
--
	when q1.dm=1 and q1.sex=2 and q1.ciga in (1,2) and q1.Age between 60 and 69 and q1.SBP <140 and q1.CH07 <200 then 1
	when q1.dm=1 and q1.sex=2 and q1.ciga in (1,2) and q1.Age between 60 and 69 and q1.SBP <140 and q1.CH07 between 200 and 239 then 2
	when q1.dm=1 and q1.sex=2 and q1.ciga in (1,2) and q1.Age between 60 and 69 and q1.SBP <140 and q1.CH07 between 240 and 279 then 3
	when q1.dm=1 and q1.sex=2 and q1.ciga in (1,2) and q1.Age between 60 and 69 and q1.SBP <140 and q1.CH07 >=280 then 4
	when q1.dm=1 and q1.sex=2 and q1.ciga in (1,2) and q1.Age between 60 and 69 and q1.SBP between 140 and 159 and q1.CH07 <200 then 2
	when q1.dm=1 and q1.sex=2 and q1.ciga in (1,2) and q1.Age between 60 and 69 and q1.SBP between 140 and 159 and q1.CH07 between 200 and 239 then 3
	when q1.dm=1 and q1.sex=2 and q1.ciga in (1,2) and q1.Age between 60 and 69 and q1.SBP between 140 and 159 and q1.CH07 between 240 and 279 then 4
	when q1.dm=1 and q1.sex=2 and q1.ciga in (1,2) and q1.Age between 60 and 69 and q1.SBP between 140 and 159 and q1.CH07 >=280 then 5
	when q1.dm=1 and q1.sex=2 and q1.ciga in (1,2) and q1.Age between 60 and 69 and q1.SBP between 160 and 179 and q1.CH07 <200 then 4
	when q1.dm=1 and q1.sex=2 and q1.ciga in (1,2) and q1.Age between 60 and 69 and q1.SBP between 160 and 179 and q1.CH07 >=200 then 5
	when q1.dm=1 and q1.sex=2 and q1.ciga in (1,2) and q1.Age between 60 and 69 and q1.SBP >=180 and q1.CH07 is not null then 5
--
	when q1.dm=1 and q1.sex=2 and q1.ciga in (1,2) and q1.Age >=70 and q1.SBP <140 and q1.CH07 <240 then 2
	when q1.dm=1 and q1.sex=2 and q1.ciga in (1,2) and q1.Age >=70 and q1.SBP <140 and q1.CH07 between 240 and 279 then 3
	when q1.dm=1 and q1.sex=2 and q1.ciga in (1,2) and q1.Age >=70 and q1.SBP <140 and q1.CH07 >=280 then 4
	when q1.dm=1 and q1.sex=2 and q1.ciga in (1,2) and q1.Age >=70 and q1.SBP between 140 and 159 and q1.CH07 <200 then 3
	when q1.dm=1 and q1.sex=2 and q1.ciga in (1,2) and q1.Age >=70 and q1.SBP between 140 and 159 and q1.CH07 between 200 and 279 then 4
	when q1.dm=1 and q1.sex=2 and q1.ciga in (1,2) and q1.Age >=70 and q1.SBP between 140 and 159 and q1.CH07 >=280 then 5
	when q1.dm=1 and q1.sex=2 and q1.ciga in (1,2) and q1.Age >=70 and q1.SBP between 160 and 179 and q1.CH07 <200 then 4
	when q1.dm=1 and q1.sex=2 and q1.ciga in (1,2) and q1.Age >=70 and q1.SBP between 160 and 179 and q1.CH07 >=200 then 5
	when q1.dm=1 and q1.sex=2 and q1.ciga in (1,2) and q1.Age >=70 and q1.SBP >=180 and q1.CH07 is not null then 5
else null end as 'CVD_DM'
-- ไม่ป่วยDM เพศชาย ไม่สูบฯ
,case when q1.dm=0 and q1.sex=1 and q1.ciga in (0,3) and q1.Age <50 and q1.SBP <140 and q1.CH07 is not null then 1
	when q1.dm=0 and q1.sex=1 and q1.ciga in (0,3) and q1.Age <50 and q1.SBP between 140 and 159 and q1.CH07 <320 then 1
	when q1.dm=0 and q1.sex=1 and q1.ciga in (0,3) and q1.Age <50 and q1.SBP between 140 and 159 and q1.CH07 >=320 then 2
	when q1.dm=0 and q1.sex=1 and q1.ciga in (0,3) and q1.Age <50 and q1.SBP between 160 and 179 and q1.CH07 <280 then 1
	when q1.dm=0 and q1.sex=1 and q1.ciga in (0,3) and q1.Age <50 and q1.SBP between 160 and 179 and q1.CH07 between 280 and 319 then 2
	when q1.dm=0 and q1.sex=1 and q1.ciga in (0,3) and q1.Age <50 and q1.SBP between 160 and 179 and q1.CH07 >=320 then 3
	when q1.dm=0 and q1.sex=1 and q1.ciga in (0,3) and q1.Age <50 and q1.SBP >=180 and q1.CH07 <240 then 2
	when q1.dm=0 and q1.sex=1 and q1.ciga in (0,3) and q1.Age <50 and q1.SBP >=180 and q1.CH07 between 240 and 279 then 3
	when q1.dm=0 and q1.sex=1 and q1.ciga in (0,3) and q1.Age <50 and q1.SBP >=180 and q1.CH07 >=280 then 5
--
	when q1.dm=0 and q1.sex=1 and q1.ciga in (0,3) and q1.Age between 50 and 59 and q1.SBP <140 and q1.CH07 is not null then 1
	when q1.dm=0 and q1.sex=1 and q1.ciga in (0,3) and q1.Age between 50 and 59 and q1.SBP between 140 and 159 and q1.CH07 <320 then 1
	when q1.dm=0 and q1.sex=1 and q1.ciga in (0,3) and q1.Age between 50 and 59 and q1.SBP between 140 and 159 and q1.CH07 >=320 then 2
	when q1.dm=0 and q1.sex=1 and q1.ciga in (0,3) and q1.Age between 50 and 59 and q1.SBP between 160 and 179 and q1.CH07 <280 then 1
	when q1.dm=0 and q1.sex=1 and q1.ciga in (0,3) and q1.Age between 50 and 59 and q1.SBP between 160 and 179 and q1.CH07 between 280 and 319 then 2
	when q1.dm=0 and q1.sex=1 and q1.ciga in (0,3) and q1.Age between 50 and 59 and q1.SBP between 160 and 179 and q1.CH07 >=320 then 3
	when q1.dm=0 and q1.sex=1 and q1.ciga in (0,3) and q1.Age between 50 and 59 and q1.SBP >=180 and q1.CH07 <200 then 2
	when q1.dm=0 and q1.sex=1 and q1.ciga in (0,3) and q1.Age between 50 and 59 and q1.SBP >=180 and q1.CH07 between 200 and 279 then 3
	when q1.dm=0 and q1.sex=1 and q1.ciga in (0,3) and q1.Age between 50 and 59 and q1.SBP >=180 and q1.CH07 >=280 then 5
--
	when q1.dm=0 and q1.sex=1 and q1.ciga in (0,3) and q1.Age between 60 and 69 and q1.SBP <140 and q1.CH07 is not null then 1
	when q1.dm=0 and q1.sex=1 and q1.ciga in (0,3) and q1.Age between 60 and 69 and q1.SBP between 140 and 159 and q1.CH07 <280 then 1
	when q1.dm=0 and q1.sex=1 and q1.ciga in (0,3) and q1.Age between 60 and 69 and q1.SBP between 140 and 159 and q1.CH07 >=280 then 2
	when q1.dm=0 and q1.sex=1 and q1.ciga in (0,3) and q1.Age between 60 and 69 and q1.SBP between 160 and 179 and q1.CH07 <200 then 1
	when q1.dm=0 and q1.sex=1 and q1.ciga in (0,3) and q1.Age between 60 and 69 and q1.SBP between 160 and 179 and q1.CH07 between 200 and 319 then 2
	when q1.dm=0 and q1.sex=1 and q1.ciga in (0,3) and q1.Age between 60 and 69 and q1.SBP between 160 and 179 and q1.CH07 >=320 then 3
	when q1.dm=0 and q1.sex=1 and q1.ciga in (0,3) and q1.Age between 60 and 69 and q1.SBP >=180 and q1.CH07 <240 then 3
	when q1.dm=0 and q1.sex=1 and q1.ciga in (0,3) and q1.Age between 60 and 69 and q1.SBP >=180 and q1.CH07 between 240 and 279 then 4
	when q1.dm=0 and q1.sex=1 and q1.ciga in (0,3) and q1.Age between 60 and 69 and q1.SBP >=180 and q1.CH07 >=280 then 5
--
	when q1.dm=0 and q1.sex=1 and q1.ciga in (0,3) and q1.Age >=70 and q1.SBP <140 and q1.CH07 <320 then 1
	when q1.dm=0 and q1.sex=1 and q1.ciga in (0,3) and q1.Age >=70 and q1.SBP <140 and q1.CH07 >=320 then 2
	when q1.dm=0 and q1.sex=1 and q1.ciga in (0,3) and q1.Age >=70 and q1.SBP between 140 and 159 and q1.CH07 <240 then 1
	when q1.dm=0 and q1.sex=1 and q1.ciga in (0,3) and q1.Age >=70 and q1.SBP between 140 and 159 and q1.CH07 >=240 then 2
	when q1.dm=0 and q1.sex=1 and q1.ciga in (0,3) and q1.Age >=70 and q1.SBP between 160 and 179 and q1.CH07 <280 then 2
	when q1.dm=0 and q1.sex=1 and q1.ciga in (0,3) and q1.Age >=70 and q1.SBP between 160 and 179 and q1.CH07 >=280 then 3
	when q1.dm=0 and q1.sex=1 and q1.ciga in (0,3) and q1.Age >=70 and q1.SBP >=180 and q1.CH07 <240 then 3
	when q1.dm=0 and q1.sex=1 and q1.ciga in (0,3) and q1.Age >=70 and q1.SBP >=180 and q1.CH07 between 240 and 279 then 4
	when q1.dm=0 and q1.sex=1 and q1.ciga in (0,3) and q1.Age >=70 and q1.SBP >=180 and q1.CH07 >=280 then 5
-- ไม่ป่วย DM เพศชาย สูบฯ
	when q1.dm=0 and q1.sex=1 and q1.ciga in (1,2) and q1.Age <50 and q1.SBP <140 and q1.CH07 <320 then 1
	when q1.dm=0 and q1.sex=1 and q1.ciga in (1,2) and q1.Age <50 and q1.SBP <140 and q1.CH07 >=320 then 2
	when q1.dm=0 and q1.sex=1 and q1.ciga in (1,2) and q1.Age <50 and q1.SBP between 140 and 159 and q1.CH07 <320 then 1
	when q1.dm=0 and q1.sex=1 and q1.ciga in (1,2) and q1.Age <50 and q1.SBP between 140 and 159 and q1.CH07 >=320 then 3
	when q1.dm=0 and q1.sex=1 and q1.ciga in (1,2) and q1.Age <50 and q1.SBP between 160 and 179 and q1.CH07 <240 then 1
	when q1.dm=0 and q1.sex=1 and q1.ciga in (1,2) and q1.Age <50 and q1.SBP between 160 and 179 and q1.CH07 between 240 and 279 then 2
	when q1.dm=0 and q1.sex=1 and q1.ciga in (1,2) and q1.Age <50 and q1.SBP between 160 and 179 and q1.CH07 between 280 and 319 then 3
	when q1.dm=0 and q1.sex=1 and q1.ciga in (1,2) and q1.Age <50 and q1.SBP between 160 and 179 and q1.CH07 >=320 then 5
	when q1.dm=0 and q1.sex=1 and q1.ciga in (1,2) and q1.Age <50 and q1.SBP >=180 and q1.CH07 <200 then 3
	when q1.dm=0 and q1.sex=1 and q1.ciga in (1,2) and q1.Age <50 and q1.SBP >=180 and q1.CH07 between 200 and 239 then 4
	when q1.dm=0 and q1.sex=1 and q1.ciga in (1,2) and q1.Age <50 and q1.SBP >=180 and q1.CH07 >=240 then 5
-- 
	when q1.dm=0 and q1.sex=1 and q1.ciga in (1,2) and q1.Age between 50 and 59 and q1.SBP <140 and q1.CH07 <320 then 1
	when q1.dm=0 and q1.sex=1 and q1.ciga in (1,2) and q1.Age between 50 and 59 and q1.SBP <140 and q1.CH07 >=320 then 2
	when q1.dm=0 and q1.sex=1 and q1.ciga in (1,2) and q1.Age between 50 and 59 and q1.SBP between 140 and 159 and q1.CH07 <280 then 1
	when q1.dm=0 and q1.sex=1 and q1.ciga in (1,2) and q1.Age between 50 and 59 and q1.SBP between 140 and 159 and q1.CH07 between 280 and 319 then 2
	when q1.dm=0 and q1.sex=1 and q1.ciga in (1,2) and q1.Age between 50 and 59 and q1.SBP between 140 and 159 and q1.CH07 >=320 then 3
	when q1.dm=0 and q1.sex=1 and q1.ciga in (1,2) and q1.Age between 50 and 59 and q1.SBP between 160 and 179 and q1.CH07 <200 then 1
	when q1.dm=0 and q1.sex=1 and q1.ciga in (1,2) and q1.Age between 50 and 59 and q1.SBP between 160 and 179 and q1.CH07 between 200 and 279 then 2
	when q1.dm=0 and q1.sex=1 and q1.ciga in (1,2) and q1.Age between 50 and 59 and q1.SBP between 160 and 179 and q1.CH07 between 280 and 319 then 4
	when q1.dm=0 and q1.sex=1 and q1.ciga in (1,2) and q1.Age between 50 and 59 and q1.SBP between 160 and 179 and q1.CH07 >=320 then 5
	when q1.dm=0 and q1.sex=1 and q1.ciga in (1,2) and q1.Age between 50 and 59 and q1.SBP >=180 and q1.CH07 <200 then 3
	when q1.dm=0 and q1.sex=1 and q1.ciga in (1,2) and q1.Age between 50 and 59 and q1.SBP >=180 and q1.CH07 between 200 and 239 then 4
	when q1.dm=0 and q1.sex=1 and q1.ciga in (1,2) and q1.Age between 50 and 59 and q1.SBP >=180 and q1.CH07 >=240 then 5
--
	when q1.dm=0 and q1.sex=1 and q1.ciga in (1,2) and q1.Age between 60 and 69 and q1.SBP <140 and q1.CH07 <320 then 1
	when q1.dm=0 and q1.sex=1 and q1.ciga in (1,2) and q1.Age between 60 and 69 and q1.SBP <140 and q1.CH07 >=320 then 2
	when q1.dm=0 and q1.sex=1 and q1.ciga in (1,2) and q1.Age between 60 and 69 and q1.SBP between 140 and 159 and q1.CH07 <240 then 1
	when q1.dm=0 and q1.sex=1 and q1.ciga in (1,2) and q1.Age between 60 and 69 and q1.SBP between 140 and 159 and q1.CH07 between 240 and 319 then 2
	when q1.dm=0 and q1.sex=1 and q1.ciga in (1,2) and q1.Age between 60 and 69 and q1.SBP between 140 and 159 and q1.CH07 >=320 then 3
	when q1.dm=0 and q1.sex=1 and q1.ciga in (1,2) and q1.Age between 60 and 69 and q1.SBP between 160 and 179 and q1.CH07 <240 then 2
	when q1.dm=0 and q1.sex=1 and q1.ciga in (1,2) and q1.Age between 60 and 69 and q1.SBP between 160 and 179 and q1.CH07 between 240 and 279 then 3
	when q1.dm=0 and q1.sex=1 and q1.ciga in (1,2) and q1.Age between 60 and 69 and q1.SBP between 160 and 179 and q1.CH07 between 280 and 319 then 4
	when q1.dm=0 and q1.sex=1 and q1.ciga in (1,2) and q1.Age between 60 and 69 and q1.SBP between 160 and 179 and q1.CH07 >=320 then 5
	when q1.dm=0 and q1.sex=1 and q1.ciga in (1,2) and q1.Age between 60 and 69 and q1.SBP >=180 and q1.CH07 <200 then 4
	when q1.dm=0 and q1.sex=1 and q1.ciga in (1,2) and q1.Age between 60 and 69 and q1.SBP >=180 and q1.CH07 >=200 then 5
--
	when q1.dm=0 and q1.sex=1 and q1.ciga in (1,2) and q1.Age >=70 and q1.SBP <140 and q1.CH07 <240 then 1
	when q1.dm=0 and q1.sex=1 and q1.ciga in (1,2) and q1.Age >=70 and q1.SBP <140 and q1.CH07 >=240 then 2
	when q1.dm=0 and q1.sex=1 and q1.ciga in (1,2) and q1.Age >=70 and q1.SBP between 140 and 159 and q1.CH07 <280 then 2
	when q1.dm=0 and q1.sex=1 and q1.ciga in (1,2) and q1.Age >=70 and q1.SBP between 140 and 159 and q1.CH07 >=280 then 3
	when q1.dm=0 and q1.sex=1 and q1.ciga in (1,2) and q1.Age >=70 and q1.SBP between 160 and 179 and q1.CH07 <200 then 2
	when q1.dm=0 and q1.sex=1 and q1.ciga in (1,2) and q1.Age >=70 and q1.SBP between 160 and 179 and q1.CH07 between 200 and 279 then 3
	when q1.dm=0 and q1.sex=1 and q1.ciga in (1,2) and q1.Age >=70 and q1.SBP between 160 and 179 and q1.CH07 between 280 and 319 then 4
	when q1.dm=0 and q1.sex=1 and q1.ciga in (1,2) and q1.Age >=70 and q1.SBP between 160 and 179 and q1.CH07 >=320 then 5
	when q1.dm=0 and q1.sex=1 and q1.ciga in (1,2) and q1.Age >=70 and q1.SBP >=180 and q1.CH07 <200 then 4
	when q1.dm=0 and q1.sex=1 and q1.ciga in (1,2) and q1.Age >=70 and q1.SBP >=180 and q1.CH07 >=200 then 5
-- ไม่ป่วย DM เพศหญิง ไม่สูบฯ
	when q1.dm=0 and q1.sex=2 and q1.ciga in (0,3) and q1.Age <50 and q1.SBP <140 and q1.CH07 <320 then 1
	when q1.dm=0 and q1.sex=2 and q1.ciga in (0,3) and q1.Age <50 and q1.SBP <140 and q1.CH07 >=320 then 2
	when q1.dm=0 and q1.sex=2 and q1.ciga in (0,3) and q1.Age <50 and q1.SBP between 140 and 159 and q1.CH07 <280 then 1
	when q1.dm=0 and q1.sex=2 and q1.ciga in (0,3) and q1.Age <50 and q1.SBP between 140 and 159 and q1.CH07 between 280 and 319 then 2
	when q1.dm=0 and q1.sex=2 and q1.ciga in (0,3) and q1.Age <50 and q1.SBP between 140 and 159 and q1.CH07 >=320 then 3
	when q1.dm=0 and q1.sex=2 and q1.ciga in (0,3) and q1.Age <50 and q1.SBP between 160 and 179 and q1.CH07 <240 then 1
	when q1.dm=0 and q1.sex=2 and q1.ciga in (0,3) and q1.Age <50 and q1.SBP between 160 and 179 and q1.CH07 between 240 and 279 then 2
	when q1.dm=0 and q1.sex=2 and q1.ciga in (0,3) and q1.Age <50 and q1.SBP between 160 and 179 and q1.CH07 between 280 and 319 then 3
	when q1.dm=0 and q1.sex=2 and q1.ciga in (0,3) and q1.Age <50 and q1.SBP between 160 and 179 and q1.CH07 >=320 then 5
	when q1.dm=0 and q1.sex=2 and q1.ciga in (0,3) and q1.Age <50 and q1.SBP >=180 and q1.CH07 <200 then 2
	when q1.dm=0 and q1.sex=2 and q1.ciga in (0,3) and q1.Age <50 and q1.SBP >=180 and q1.CH07 between 200 and 239 then 3
	when q1.dm=0 and q1.sex=2 and q1.ciga in (0,3) and q1.Age <50 and q1.SBP >=180 and q1.CH07 >=240 then 5
--
	when q1.dm=0 and q1.sex=2 and q1.ciga in (0,3) and q1.Age between 50 and 59 and q1.SBP <140 and q1.CH07 <320 then 1
	when q1.dm=0 and q1.sex=2 and q1.ciga in (0,3) and q1.Age between 50 and 59 and q1.SBP <140 and q1.CH07 >=320 then 2
	when q1.dm=0 and q1.sex=2 and q1.ciga in (0,3) and q1.Age between 50 and 59 and q1.SBP between 140 and 159 and q1.CH07 <280 then 1
	when q1.dm=0 and q1.sex=2 and q1.ciga in (0,3) and q1.Age between 50 and 59 and q1.SBP between 140 and 159 and q1.CH07 between 280 and 319 then 2
	when q1.dm=0 and q1.sex=2 and q1.ciga in (0,3) and q1.Age between 50 and 59 and q1.SBP between 140 and 159 and q1.CH07 >=320 then 3
	when q1.dm=0 and q1.sex=2 and q1.ciga in (0,3) and q1.Age between 50 and 59 and q1.SBP between 160 and 179 and q1.CH07 <240 then 1
	when q1.dm=0 and q1.sex=2 and q1.ciga in (0,3) and q1.Age between 50 and 59 and q1.SBP between 160 and 179 and q1.CH07 between 240 and 279 then 2
	when q1.dm=0 and q1.sex=2 and q1.ciga in (0,3) and q1.Age between 50 and 59 and q1.SBP between 160 and 179 and q1.CH07 between 280 and 319 then 3
	when q1.dm=0 and q1.sex=2 and q1.ciga in (0,3) and q1.Age between 50 and 59 and q1.SBP between 160 and 179 and q1.CH07 >=320 then 5
	when q1.dm=0 and q1.sex=2 and q1.ciga in (0,3) and q1.Age between 50 and 59 and q1.SBP >=180 and q1.CH07 <200 then 3
	when q1.dm=0 and q1.sex=2 and q1.ciga in (0,3) and q1.Age between 50 and 59 and q1.SBP >=180 and q1.CH07 between 200 and 239 then 4
	when q1.dm=0 and q1.sex=2 and q1.ciga in (0,3) and q1.Age between 50 and 59 and q1.SBP >=180 and q1.CH07 >=240 then 5
--
	when q1.dm=0 and q1.sex=2 and q1.ciga in (0,3) and q1.Age between 60 and 69 and q1.SBP <140 and q1.CH07 <320 then 1
	when q1.dm=0 and q1.sex=2 and q1.ciga in (0,3) and q1.Age between 60 and 69 and q1.SBP <140 and q1.CH07 >=320 then 2
	when q1.dm=0 and q1.sex=2 and q1.ciga in (0,3) and q1.Age between 60 and 69 and q1.SBP between 140 and 159 and q1.CH07 <280 then 1
	when q1.dm=0 and q1.sex=2 and q1.ciga in (0,3) and q1.Age between 60 and 69 and q1.SBP between 140 and 159 and q1.CH07 between 280 and 319 then 2
	when q1.dm=0 and q1.sex=2 and q1.ciga in (0,3) and q1.Age between 60 and 69 and q1.SBP between 140 and 159 and q1.CH07 >=320 then 3
	when q1.dm=0 and q1.sex=2 and q1.ciga in (0,3) and q1.Age between 60 and 69 and q1.SBP between 160 and 179 and q1.CH07 <200 then 1
	when q1.dm=0 and q1.sex=2 and q1.ciga in (0,3) and q1.Age between 60 and 69 and q1.SBP between 160 and 179 and q1.CH07 between 200 and 279 then 2
	when q1.dm=0 and q1.sex=2 and q1.ciga in (0,3) and q1.Age between 60 and 69 and q1.SBP between 160 and 179 and q1.CH07 between 280 and 319 then 3
	when q1.dm=0 and q1.sex=2 and q1.ciga in (0,3) and q1.Age between 60 and 69 and q1.SBP between 160 and 179 and q1.CH07 >=320 then 5
	when q1.dm=0 and q1.sex=2 and q1.ciga in (0,3) and q1.Age between 60 and 69 and q1.SBP >=180 and q1.CH07 <200 then 3
	when q1.dm=0 and q1.sex=2 and q1.ciga in (0,3) and q1.Age between 60 and 69 and q1.SBP >=180 and q1.CH07 between 200 and 239 then 4
	when q1.dm=0 and q1.sex=2 and q1.ciga in (0,3) and q1.Age between 60 and 69 and q1.SBP >=180 and q1.CH07 >=240 then 5
--
	when q1.dm=0 and q1.sex=2 and q1.ciga in (0,3) and q1.Age >=70 and q1.SBP <140 and q1.CH07 <320 then 1
	when q1.dm=0 and q1.sex=2 and q1.ciga in (0,3) and q1.Age >=70 and q1.SBP <140 and q1.CH07 >=320 then 2
	when q1.dm=0 and q1.sex=2 and q1.ciga in (0,3) and q1.Age >=70 and q1.SBP between 140 and 159 and q1.CH07 <240 then 1
	when q1.dm=0 and q1.sex=2 and q1.ciga in (0,3) and q1.Age >=70 and q1.SBP between 140 and 159 and q1.CH07 between 240 and 319 then 2
	when q1.dm=0 and q1.sex=2 and q1.ciga in (0,3) and q1.Age >=70 and q1.SBP between 140 and 159 and q1.CH07 >=320 then 3
	when q1.dm=0 and q1.sex=2 and q1.ciga in (0,3) and q1.Age >=70 and q1.SBP between 160 and 179 and q1.CH07 <280 then 2
	when q1.dm=0 and q1.sex=2 and q1.ciga in (0,3) and q1.Age >=70 and q1.SBP between 160 and 179 and q1.CH07 between 280 and 319 then 3
	when q1.dm=0 and q1.sex=2 and q1.ciga in (0,3) and q1.Age >=70 and q1.SBP between 160 and 179 and q1.CH07 >=320 then 5
	when q1.dm=0 and q1.sex=2 and q1.ciga in (0,3) and q1.Age >=70 and q1.SBP >=180 and q1.CH07 <200 then 3
	when q1.dm=0 and q1.sex=2 and q1.ciga in (0,3) and q1.Age >=70 and q1.SBP >=180 and q1.CH07 between 200 and 239 then 4
	when q1.dm=0 and q1.sex=2 and q1.ciga in (0,3) and q1.Age >=70 and q1.SBP >=180 and q1.CH07 >=240 then 5
-- ไม่ป่วย DM เพศหญิง สูบฯ
	when q1.dm=0 and q1.sex=2 and q1.ciga in (1,2) and q1.Age <50 and q1.SBP <140 and q1.CH07 <320 then 1
	when q1.dm=0 and q1.sex=2 and q1.ciga in (1,2) and q1.Age <50 and q1.SBP <140 and q1.CH07 >=320 then 2
	when q1.dm=0 and q1.sex=2 and q1.ciga in (1,2) and q1.Age <50 and q1.SBP between 140 and 159 and q1.CH07 <280 then 1
	when q1.dm=0 and q1.sex=2 and q1.ciga in (1,2) and q1.Age <50 and q1.SBP between 140 and 159 and q1.CH07 between 280 and 319 then 2
	when q1.dm=0 and q1.sex=2 and q1.ciga in (1,2) and q1.Age <50 and q1.SBP between 140 and 159 and q1.CH07 >=320 then 3
	when q1.dm=0 and q1.sex=2 and q1.ciga in (1,2) and q1.Age <50 and q1.SBP between 160 and 179 and q1.CH07 <200 then 1
	when q1.dm=0 and q1.sex=2 and q1.ciga in (1,2) and q1.Age <50 and q1.SBP between 160 and 179 and q1.CH07 between 200 and 239 then 2
	when q1.dm=0 and q1.sex=2 and q1.ciga in (1,2) and q1.Age <50 and q1.SBP between 160 and 179 and q1.CH07 between 240 and 279 then 3
	when q1.dm=0 and q1.sex=2 and q1.ciga in (1,2) and q1.Age <50 and q1.SBP between 160 and 179 and q1.CH07 between 280 and 319 then 4
	when q1.dm=0 and q1.sex=2 and q1.ciga in (1,2) and q1.Age <50 and q1.SBP between 160 and 179 and q1.CH07 >=320 then 5
	when q1.dm=0 and q1.sex=2 and q1.ciga in (1,2) and q1.Age <50 and q1.SBP >=180 and q1.CH07 <200 then 4
	when q1.dm=0 and q1.sex=2 and q1.ciga in (1,2) and q1.Age <50 and q1.SBP >=180 and q1.CH07 >=200 then 5
--
	when q1.dm=0 and q1.sex=2 and q1.ciga in (1,2) and q1.Age between 50 and 59 and q1.SBP <140 and q1.CH07 <320 then 1
	when q1.dm=0 and q1.sex=2 and q1.ciga in (1,2) and q1.Age between 50 and 59 and q1.SBP <140 and q1.CH07 >=320 then 2
	when q1.dm=0 and q1.sex=2 and q1.ciga in (1,2) and q1.Age between 50 and 59 and q1.SBP between 140 and 159 and q1.CH07 <240 then 1
	when q1.dm=0 and q1.sex=2 and q1.ciga in (1,2) and q1.Age between 50 and 59 and q1.SBP between 140 and 159 and q1.CH07 between 240 and 319 then 2
	when q1.dm=0 and q1.sex=2 and q1.ciga in (1,2) and q1.Age between 50 and 59 and q1.SBP between 140 and 159 and q1.CH07 >=320 then 3
	when q1.dm=0 and q1.sex=2 and q1.ciga in (1,2) and q1.Age between 50 and 59 and q1.SBP between 160 and 179 and q1.CH07 <240 then 2
	when q1.dm=0 and q1.sex=2 and q1.ciga in (1,2) and q1.Age between 50 and 59 and q1.SBP between 160 and 179 and q1.CH07 between 240 and 279 then 3
	when q1.dm=0 and q1.sex=2 and q1.ciga in (1,2) and q1.Age between 50 and 59 and q1.SBP between 160 and 179 and q1.CH07 between 280 and 319 then 4
	when q1.dm=0 and q1.sex=2 and q1.ciga in (1,2) and q1.Age between 50 and 59 and q1.SBP between 160 and 179 and q1.CH07 >=320 then 5
	when q1.dm=0 and q1.sex=2 and q1.ciga in (1,2) and q1.Age between 50 and 59 and q1.SBP >=180 and q1.CH07 <200 then 4
	when q1.dm=0 and q1.sex=2 and q1.ciga in (1,2) and q1.Age between 50 and 59 and q1.SBP >=180 and q1.CH07 >=200 then 5
--
	when q1.dm=0 and q1.sex=2 and q1.ciga in (1,2) and q1.Age between 60 and 69 and q1.SBP <140 and q1.CH07 <280 then 1
	when q1.dm=0 and q1.sex=2 and q1.ciga in (1,2) and q1.Age between 60 and 69 and q1.SBP <140 and q1.CH07 between 280 and 319 then 2 
	when q1.dm=0 and q1.sex=2 and q1.ciga in (1,2) and q1.Age between 60 and 69 and q1.SBP <140 and q1.CH07 >=320 then 3
	when q1.dm=0 and q1.sex=2 and q1.ciga in (1,2) and q1.Age between 60 and 69 and q1.SBP between 140 and 159 and q1.CH07 <200 then 1
	when q1.dm=0 and q1.sex=2 and q1.ciga in (1,2) and q1.Age between 60 and 69 and q1.SBP between 140 and 159 and q1.CH07 between 200 and 279 then 2
	when q1.dm=0 and q1.sex=2 and q1.ciga in (1,2) and q1.Age between 60 and 69 and q1.SBP between 140 and 159 and q1.CH07 between 280 and 319 then 3
	when q1.dm=0 and q1.sex=2 and q1.ciga in (1,2) and q1.Age between 60 and 69 and q1.SBP between 140 and 159 and q1.CH07 >=320 then 4
	when q1.dm=0 and q1.sex=2 and q1.ciga in (1,2) and q1.Age between 60 and 69 and q1.SBP between 160 and 179 and q1.CH07 <200 then 2
	when q1.dm=0 and q1.sex=2 and q1.ciga in (1,2) and q1.Age between 60 and 69 and q1.SBP between 160 and 179 and q1.CH07 between 200 and 239 then 3
	when q1.dm=0 and q1.sex=2 and q1.ciga in (1,2) and q1.Age between 60 and 69 and q1.SBP between 160 and 179 and q1.CH07 between 240 and 279 then 4
	when q1.dm=0 and q1.sex=2 and q1.ciga in (1,2) and q1.Age between 60 and 69 and q1.SBP between 160 and 179 and q1.CH07 >=280 then 5
	when q1.dm=0 and q1.sex=2 and q1.ciga in (1,2) and q1.Age between 60 and 69 and q1.SBP >=180 and q1.CH07 is not null then 5
--
	when q1.dm=0 and q1.sex=2 and q1.ciga in (1,2) and q1.Age >=70 and q1.SBP <140 and q1.CH07 <240 then 1
	when q1.dm=0 and q1.sex=2 and q1.ciga in (1,2) and q1.Age >=70 and q1.SBP <140 and q1.CH07 between 240 and 319 then 2
	when q1.dm=0 and q1.sex=2 and q1.ciga in (1,2) and q1.Age >=70 and q1.SBP <140 and q1.CH07 >=320 then 3
	when q1.dm=0 and q1.sex=2 and q1.ciga in (1,2) and q1.Age >=70 and q1.SBP between 140 and 159 and q1.CH07 <280 then 2
	when q1.dm=0 and q1.sex=2 and q1.ciga in (1,2) and q1.Age >=70 and q1.SBP between 140 and 159 and q1.CH07 between 280 and 319 then 3
	when q1.dm=0 and q1.sex=2 and q1.ciga in (1,2) and q1.Age >=70 and q1.SBP between 140 and 159 and q1.CH07 >=320 then 4
	when q1.dm=0 and q1.sex=2 and q1.ciga in (1,2) and q1.Age >=70 and q1.SBP between 160 and 179 and q1.CH07 <200 then 2
	when q1.dm=0 and q1.sex=2 and q1.ciga in (1,2) and q1.Age >=70 and q1.SBP between 160 and 179 and q1.CH07 between 200 and 239 then 3
	when q1.dm=0 and q1.sex=2 and q1.ciga in (1,2) and q1.Age >=70 and q1.SBP between 160 and 179 and q1.CH07 between 240 and 279 then 4
	when q1.dm=0 and q1.sex=2 and q1.ciga in (1,2) and q1.Age >=70 and q1.SBP between 160 and 179 and q1.CH07 >=280 then 5
	when q1.dm=0 and q1.sex=2 and q1.ciga in (1,2) and q1.Age >=70 and q1.SBP >=180 and q1.CH07 is not null then 5	
else null end as 'CVD_HT'
from (SELECT person.pid AS HN
,concat(ctitle.titlename,' ',person.fname,' ',person.lname) AS 'name',person.sex
,YEAR(FROM_DAYS(DATEDIFF(CURDATE(),person.birth))) as Age,village.villno AS moo
,GROUP_CONCAT(DISTINCT case when pc.chroniccode like 'E1%' THEN 'DM' when pc.chroniccode like 'I1%' THEN 'HT' else '' end) as 'Disease'
,pc.cup,if((GROUP_CONCAT(distinct pc.chroniccode) like'E1%,I1%' or GROUP_CONCAT(DISTINCT pc.chroniccode)like'I1%,E1%')
or GROUP_CONCAT(DISTINCT pc.chroniccode) between 'E10' and 'E14.9',1,0) as dm,visit.visitdate
,case when visit.pressure2 IS NULL then substr(visit.pressure,1,INSTR(visit.pressure,'/')-1) else substr(visit.pressure2,1,INSTR(visit.pressure2,'/')-1) end as SBP
,personbehavior.ciga,vlc.labresultdigit as 'CH07'
FROM person # phuwakorn sirichaimetha 2014-01-31 04:49
INNER JOIN house ON person.hcode = house.hcode AND person.pcucodeperson = house.pcucode
INNER JOIN village ON house.villcode = village.villcode AND house.pcucode = village.pcucode
LEFT JOIN ctitle ON person.prename = ctitle.titlecode
INNER JOIN personchronic pc ON person.pcucodeperson = pc.pcucodeperson AND person.pid = pc.pid
left join personbehavior on person.pcucodeperson = personbehavior.pcucodeperson AND person.pid = personbehavior.pid
LEFT JOIN visit ON person.pcucodeperson = visit.pcucode AND person.pid = visit.pid and visit.visitdate between'2014-10-01'and '2015-09-30' #แก้ไขช่วงวันที่ที่ต้องการข้อมูล
left join (select visitdiag.pcucode,visitdiag.visitno from visitdiag where visitdiag.diagcode like 'I1%' or visitdiag.diagcode like 'E1%') as vd on visit.pcucode = vd.pcucode AND visit.visitno = vd.visitno
left join (SELECT vl.pid,labcode,labresultdigit,datecheck FROM visitlabchcyhembmsse vl
where vl.labcode='CH07' and vl.datecheck between'2014-10-01'and '2015-09-30') vlc on person.pid=vlc.pid #แก้ไขวันที่ข้อมูลผลแลป
WHERE (pc.chroniccode between 'E10' and 'E14.9' or pc.chroniccode between 'I10' and 'I15.9')
and pc.typedischart ='03' 
and pc.cup =person.pcucodeperson
and right(village.villcode,2)!= '00' 
and person.typelive in (0,1,3) 
and person.dischargetype=9
GROUP BY person.pid)q1 order by q1.moo
)q2 group by q2.dm